<template>
  <div id="index">
    <detail-layout>
      <template v-slot:mainSide>
        <menus></menus>
      </template>
      <template v-slot:mainMain>
        <router-view />
      </template>
    </detail-layout>
  </div>
</template>

<script>
import menus from '@/layout/layout-part/menus.vue';
import detailLayout from '@/layout/detail-layout.vue';
export default {
  methods: {
    handleSizeChange(val) {
      console.log(`每页 ${val} 条`);
    },
    handleCurrentChange(val) {
      console.log(`当前页: ${val}`);
    },
    test(val) {
      this.$set(this, `activeMenu`, val);
    },
  },
  name: 'index',
  props: {},

  components: {
    detailLayout,
    menus,
  },
  data: () => ({
    input3: '',
    currentPage4: 1,
    activeMenu: '1',
  }),
  created() {},
  computed: {},
};
</script>

<style lang="less" scoped></style>
